var system = require("../../../system")
const CtlBase = require("../../ctl.base");


class MerchantTransferCtl extends CtlBase {
    constructor() {
        super("all", CtlBase.getServiceName(MerchantTransferCtl));
    }

    //商户转账
    async transferList(qobj) {
        var params = qobj || {};
        this.doTimeCondition(params, ["signBegin", "signEnd"]);
        try {
            var page = await this.service.transferList(params);
            return system.getResult2(page);
        } catch (e) {
            console.log(e);
            return system.getErrResult2("您的网络不稳, 请稍后重试");
        }
    }
    

}


module.exports = MerchantTransferCtl;
